Contents
Index 🔎︎

# DefBool Statement

Không đưa ra ký tự hay từ khoá mà khai báo kiểu, thì câu lệnh DefBool đặt kiểu dữ liệu mặc định cho các biến, tùy theo một phạm vi chữ.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameters:

char: Letter prefix that specifies default data type for variables.

char-char: Letter range prefixes that specify default data type for variables.

### Example:

        ' Prefix definitions for variable types:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefBool
          Print TypeName(Boole), VarType(Babbage), bitcoin ' Displays: Boolean 11 False
          bOK=True ' bOK is an implicit boolean variable
      End Sub